/* You can add global styles to this file, and also import other style files */

html, body { height: 100vh; overflow: hidden;}
body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif; }

$ii-danger: #f16b52;

:root{
    --ii-danger: #f16b52;
    --border: #dee2e6;
    
    --mat-primary: #3f51b5;
    --mat-warn: #f44336;
}

.abs-wrapper{
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.font-lato{
    font-family: 'Lato', sans-serif;
}

.text-warn{
    color: var(--mat-warn) !important;
    &[matInput]{
        font-size: 1.5rem;
    }
}
.bg-mat-primary{
    background-color: var(--mat-primary);
}

.rounded-xl{
    border-radius: 1rem;
    .rounded-xl{
        border-radius: .75rem;
    }
}
.rounded-bottom-left-0, .rounded-bottom-0{
    border-bottom-left-radius: 0 !important;
}
.rounded-bottom-right-0, .rounded-bottom-0{
    border-bottom-right-radius: 0 !important;
}
.rounded-top-left-0, .rounded-top-0{
    border-top-left-radius: 0 !important;
}
.rounded-top-right-0, .rounded-top-0{
    border-top-right-radius: 0 !important;
}

.btn-ii-danger{
    background-color: var(--ii-danger);
    color: #fff;
    
    &:hover{
        background-color: var(--orange);
        color: #fff;
    }
}

.bg-border{
    background-color: var(--border);
}

.mat-checkbox-label{
    margin-left: 1rem;
}
.disabled, [disabled]{
    .mat-form-field-outline{
        background: #f4f4f4 !important;
        border-radius: 5px;
    }
}
[readonly]{
    color: rgba(#000,.38) !important;
}

mat-form-field, .mat-form-field{
    &:not(.mat-focused){
        .mat-form-field-label{
            color: var(--dark) !important;
        }
    }
    &.mat-form-field-sm{
        .mat-form-field-infix{
            padding: .5rem  !important;
            top: -.25rem !important;
            *{
                line-height: 1 !important;
            }
        }
        .mat-form-field-wrapper{
            padding-bottom: 1rem;
        }
    }
}
.mat-form-inline{
    mat-form-field{
        .mat-form-field-outline{
            border-radius: 0 !important;
        }
        .mat-form-field-outline-end{
            border-radius: 0 !important;
        }
        .mat-form-field-outline-start{
            border-radius: 0 !important;
            border-left-width: 0;
        }
        
        &:first-of-type{
            .mat-form-field-outline{
                border-radius: 5px 0 0 5px !important;
            }
            .mat-form-field-outline-end{
                border-radius: 0 !important;
            }
            .mat-form-field-outline-start{
                border-radius: 5px 0 0 5px !important;
                border-left-width: 1px;
            }
        }
        &:last-of-type{
            .mat-form-field-outline{
                border-radius: 0 5px 5px 0 !important;
            }
            .mat-form-field-outline-end{
                border-radius: 0 5px 5px 0 !important;
            }
            .mat-form-field-outline-start{
                border-radius: 0 !important;
                border-left-width: 0;
            }
        }
        
        &:hover{
            .mat-form-field-outline-start{
                border-left-width: 2px;
            }
        }
    }
    
}

.app-chi-tiet-ho-so{
    .mat-tab-label-active{
        opacity: 1 !important;
        &::before{
            content: 'Trạng thái: ';
        }
    }
}

.mat-button-sm{
    padding: 0 .75rem !important;
    .mat-button-wrapper{
        font-size: .8rem;
        font-weight: normal;
        line-height: 1.75rem;
        
        display: flex;
        align-items: center;
        .mat-icon{
            width: 1rem;
            height: 1rem;
            font-size: 1rem;
            margin-right: .5rem;
        }
    }
}
mat-header-cell, [mat-header-cell]{
    .mat-sort-header-button {
        text-align: left !important;
        white-space: nowrap;
    }
}
label.mat-checkbox-layout{
    margin-bottom: 0;
}

.mat-form-field-suffix {
    align-self: center !important;
}

ngx-file-picker {
    &.custom-nv{
        height: auto !important;
        .file-drop-wrapper{
            padding: 0 !important;
            file-drop{
                padding: 0 !important;
                #dropZone.custom-drag{
                    border-width: 1.5px;
                    // border-style: solid;
                    border-radius: 5px !important;
                    padding: .5rem .75rem !important;
                }
            }
        }
    }
}

.form-grid{
    .mat-form-field-appearance-outline .mat-form-field-outline{
        background: #fff;
    }
}


@keyframes show_up {
    0%{
        transform: translateX(100%);
        opacity: 0;
    }
    100%{
        transform: translateX(0);
        opacity: 1;
    }
}

.mat-tooltip{
    margin: 3px !important;
}